Skip to main content
GET
/
whatsapp
/
message_templates
/
{id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const whatsappMessageTemplate = await client.whatsappMessageTemplates.retrieve('id');

console.log(whatsappMessageTemplate.data);
{
  "data": {
    "id": "<string>",
    "record_type": "whatsapp_message_template",
    "template_id": "<string>",
    "name": "<string>",
    "category": "MARKETING",
    "language": "<string>",
    "status": "<string>",
    "rejection_reason": "<string>",
    "components": [
      {}
    ],
    "whatsapp_business_account": {
      "id": "<string>"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Whatsapp message template ID

Response

Template details

data
object